<?php // $Id: banner-activate.php,v 1.2 2001/10/10 10:39:01 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

// Include required files
require ("config.php");
require ("lib-statistics.inc.php");
require ("lib-zones.inc.php");


// Security check
phpAds_checkAccess(phpAds_Admin+phpAds_Client);



/*********************************************************/
/* Main code                                             */
/*********************************************************/

if ($value == "t")
	$value = "f";
else
	$value = "t";

if (phpAds_isUser(phpAds_Client))
{
	if (($value == 'f' && phpAds_isAllowed(phpAds_DisableBanner)) || 
	    ($value == 't' && phpAds_isAllowed(phpAds_ActivateBanner)))
	{
		$result = db_query("
			SELECT
				clientid
			FROM
				$phpAds_tbl_banners
			WHERE
				bannerid = $bannerid
			") or pg_die();
		$row = pg_fetch_array($result, 0);
		
		if ($row["clientid"] == '' || phpAds_clientid() != phpAds_getParentID ($row["clientid"]))
		{
			phpAds_PageHeader("1");
			php_die ($strAccessDenied, $strNotAdmin);
		}
		else
		{
			$campaignid = $row["clientid"];
			
			$res = db_query("
				UPDATE
					$phpAds_tbl_banners
				SET
					active = '$value'
				WHERE
					bannerid = $bannerid
				") or pg_die();
			
			// Rebuild zone cache
			if ($phpAds_zone_cache)
				phpAds_RebuildZoneCache ();
			
			Header("Location: stats-campaign.php?campaignid=$campaignid&message=".urlencode($strBannerChanged));
		}
	}
	else
	{
		phpAds_PageHeader("1");
		php_die ($strAccessDenied, $strNotAdmin);
	}
}


if (phpAds_isUser(phpAds_Admin))
{
	$res = db_query("
		UPDATE
			$phpAds_tbl_banners
		SET
			active = '$value'
		WHERE
			bannerid = $bannerid
		") or pg_die();
	
	// Rebuild zone cache
	if ($phpAds_zone_cache)
		phpAds_RebuildZoneCache ();
	
	Header("Location: campaign-index.php?campaignid=$campaignid&message=".urlencode($strBannerChanged));
}


?>
