<?php // $Id: banner-acl.php,v 1.4 2001/10/10 10:39:01 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// Include required files
require ("config.php");
require ("lib-statistics.inc.php");
require ("banner-acl.inc.php");


// Security check
phpAds_checkAccess(phpAds_Admin);



/*********************************************************/
/* Process submitted form                                */
/*********************************************************/


// Convert weekday and time to usable string
if (isset($acl_data) && isset($acl_type) &&
	($acl_type == 'time' || $acl_type == 'weekday'))
{
	if (is_array($acl_data))
		$acl_data = implode (',', $acl_data);
}


if (isset($btndel_x))
{
	if (!isset($acl_order)) 
		php_die("hu?", "Where is my acl_order? I've lost my acl_orde! Moooommmeee... I want my acl_order back!");
	$res = db_query("
      			DELETE FROM $phpAds_tbl_acls WHERE
        		bannerid = $bannerid AND acl_order = $acl_order ") or
		pg_die();
	
	// get banner-acl after the deleted one
	$res = db_query("
		SELECT * FROM $phpAds_tbl_acls WHERE
		bannerid = $bannerid AND acl_order > $acl_order") or
		pg_die();
    
	// decrement every following acl
	for ($pgc = 0; $row = @pg_fetch_array($res, $pgc); $pgc++) 
	{
		$old_order = $row['acl_order'];
		$res1 = db_query("
			UPDATE $phpAds_tbl_acls SET
			acl_order = acl_order - 1 WHERE
			acl_order = $old_order
               AND bannerid = $bannerid
               ") or pg_die();
	}
	
	header ("Location: banner-acl.php?campaignid=$campaignid&bannerid=$bannerid");
	exit;
}

if (isset($btnsave_x))
{
	$acl_ad = $acl_ad == 'allow' ? 't' : 'f';
	
	if ($update)
	{
		$res = db_query("
			UPDATE $phpAds_tbl_acls SET
			acl_type = '$acl_type', acl_data = '$acl_data',
			acl_ad = '$acl_ad', acl_con = '$acl_con'
			where bannerid = $bannerid 
			AND acl_order = $acl_order") or pg_die();
		
		header ("Location: banner-acl.php?campaignid=$campaignid&bannerid=$bannerid");
		exit;
	} 
	else
	{
 		$res = db_query("
			INSERT into $phpAds_tbl_acls
				(acl_order, bannerid, acl_type, acl_data, acl_ad, acl_con)
			VALUES
				($acl_order, $bannerid, '$acl_type', '$acl_data', '$acl_ad', '$acl_con')
			") or pg_die(); 

 		header ("Location: banner-acl.php?campaignid=$campaignid&bannerid=$bannerid");
 		exit;
	}
}

if (isset($btnup_x))
{
	if ($acl_order < 1)
		 php_die("oops", $strNoMoveUp);
	
	db_query("BEGIN");

   // delete current acl
	$res = db_query("
		DELETE FROM $phpAds_tbl_acls WHERE
		bannerid = $bannerid AND acl_order = $acl_order ") or
		pg_die();		
	
	// increment previous acl
	$new_acl_order = $acl_order - 1;
	$res = db_query("
		UPDATE $phpAds_tbl_acls SET
		acl_order = acl_order + 1 WHERE 
		acl_order = $new_acl_order 
		AND bannerid = $bannerid
		") or pg_die();	 
	
	// insert actual acl with decremented order
	$res = db_query("
		INSERT INTO $phpAds_tbl_acls	
			(acl_order, bannerid, acl_type, acl_data, acl_ad, acl_con)
		VALUES (
			$new_acl_order, $bannerid, '$acl_type', '$acl_data', '$acl_ad', '$acl_con'
		)") or pg_die();
	
	db_query("COMMIT");
	
	header ("Location: banner-acl.php?campaignid=$campaignid&bannerid=$bannerid");
	exit;
}

if (isset($btndown_x))
{
	db_query("BEGIN");

	$res = db_query("
		DELETE FROM $phpAds_tbl_acls WHERE
		bannerid = $bannerid AND acl_order = $acl_order ") or
	pg_die();
	
	$new_acl_order = $acl_order + 1;
	$res = db_query("
		UPDATE $phpAds_tbl_acls SET
		acl_order = acl_order - 1 WHERE 
		acl_order = $new_acl_order
		AND bannerid = $bannerid
		") or pg_die();
	
	$res = db_query("
		INSERT INTO $phpAds_tbl_acls
			(acl_order, bannerid, acl_type, acl_data, acl_ad, $acl_con)
		VALUES (
			$new_acl_order, $bannerid, '$acl_type', '$acl_data', '$acl_ad', '$acl_con'
		)") or pg_die();

	db_query("COMMIT");
	
	header ("Location: banner-acl.php?campaignid=$campaignid&bannerid=$bannerid");
	exit;
}



/*********************************************************/
/* HTML framework                                        */
/*********************************************************/

if (!isset($bannerid)) 
	php_die("This page can't be displayed",	"There was no bannerid suppied");

$extra = '';

$res = db_query("
	SELECT
		*
	FROM
		$phpAds_tbl_banners
	WHERE
		clientid = $campaignid
") or pg_die();

for ($pgc = 0; $row = @pg_fetch_array($res, $pgc); $pgc++)
{
	if ($bannerid == $row['bannerid'])
		$extra .= "&nbsp;&nbsp;&nbsp;<img src='images/box-1.gif'>&nbsp;";
	else
		$extra .= "&nbsp;&nbsp;&nbsp;<img src='images/box-0.gif'>&nbsp;";
	$extra .= "<a href='banner-acl.php?campaignid=$campaignid&bannerid=".$row['bannerid']."'>";
	$extra .= phpAds_buildBannerName ($row['bannerid'], $row['description'], $row['alt']);
	$extra .= "</a>";
	$extra .= "<br>"; 
}
$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br>";

$extra .= "<br><br><br><br><br>";
$extra .= "<b>$strShortcuts</b><br>";
$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br>";
$extra .= "<img src='images/icon-client.gif' align='absmiddle'>&nbsp;<a href=client-edit.php?clientid=".phpAds_getParentID ($campaignid).">$strModifyClient</a><br>";
$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br>";
$extra .= "<img src='images/icon-edit.gif' align='absmiddle'>&nbsp;<a href=campaign-edit.php?campaignid=$campaignid>$strModifyCampaign</a><br>";
$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br>";
$extra .= "<img src='images/icon-statistics.gif' align='absmiddle'>&nbsp;<a href=stats-campaign.php?campaignid=$campaignid>$strStats</a><br>";
$extra .= "<img src='images/break-el.gif' height='1' width='160' vspace='4'><br>";
$extra .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='images/icon-weekly.gif' align='absmiddle'>&nbsp;<a href=stats-weekly.php?campaignid=$campaignid>$strWeeklyStats</a><br>";
$extra .= "<img src='images/break-el.gif' height='1' width='160' vspace='4'><br>";
$extra .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<img src='images/icon-zoom.gif' align='absmiddle'>&nbsp;<a href=stats-details.php?campaignid=$campaignid&bannerid=$bannerid>$strDetailStats</a><br>";
$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br>";

phpAds_PageHeader("4.1.5.3", $extra);
phpAds_ShowSections(array("4.1.5.2", "4.1.5.3", "4.1.5.4"));




/*********************************************************/
/* Main code                                             */
/*********************************************************/


echo "<table width='100%' border='0' align='center' cellspacing='0' cellpadding='0'>";
echo "<tr><td height='25'><img src='images/icon-client.gif' align='absmiddle'>&nbsp;".phpAds_getParentName($campaignid);
echo "&nbsp;<img src='images/caret-rs.gif'>&nbsp;";
echo "<img src='images/icon-campaign.gif' align='absmiddle'>&nbsp;".phpAds_getClientName($campaignid);
echo "&nbsp;<img src='images/caret-rs.gif'>&nbsp;";
if ($bannerid != '')
	echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;<b>".phpAds_getBannerName($bannerid)."</b></td></tr>";
else
	echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;".$strUntitled."</td></tr>";

if ($bannerid != '')
{
	echo "<tr><td height='1' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
	echo "<tr><td align='left'><br>".phpAds_getBannerCode($bannerid)."</td></tr>";
}

echo "</table>";

echo "<br><br>";
echo "<br><br>";
echo "<br><br>";


// Fetch all ACLs from the database
$res = db_query("
	SELECT
		*
	FROM
		$phpAds_tbl_acls
	WHERE
		bannerid = $bannerid ORDER by acl_order
	") or pg_die();

$count = pg_numrows ($res);



// Show header
echo "<table border='0' width='100%' cellpadding='0' cellspacing='0'>";
echo "<tr><td height='25' colspan='4'><b>".$strOnlyDisplayWhen."</b></td></tr>";
echo "<tr><td height='1' colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";

// Display all ACLs
if ($count > 0)
{
	$i = 0;
	$previous_type = '';
	
	// Get next ACL
	for ($pgc = 0; $row = @pg_fetch_array($res, $pgc); $pgc++)	// acl array already sorted by select
	{
		if ($row['acl_con'] == 'or')
		{
			echo "<tr><td colspan='4'><img src='images/break.gif' width='100%' height='1'></td></tr>";
			$i++;
		}
		else
			if ($previous_type != '') echo "<tr><td colspan='4'><img src='images/break-el.gif' width='100%' height='1'></td></tr>";
		
		// Show Row
		phpAds_ShowRow ($row, $count, 1, $i);
		
		$previous_type = $row['acl_type'];
	}
	
	// Show Footer
	if ($row['acl_type'] != $previous_type && $previous_type != '')
	{
		echo "<tr><td height='1' colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
	}
}
else
{
	echo "<tr><td height='24' colspan='4' bgcolor='#F6F6F6'>&nbsp;&nbsp;$strNoLimitations</td></tr>";
	echo "<tr><td height='1' colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
}


echo "<form action='".basename($PHP_SELF)."' method='get'>";
echo "<input type='hidden' name='campaignid' value='".$campaignid."'>";
echo "<input type='hidden' name='bannerid' value='".$bannerid."'>";
echo "<input type='hidden' name='update' value='".$update."'>";
echo "<input type='hidden' name='acl_order' value='".$count."'>";
echo "<input type='hidden' name='acl_con' value='and'>&nbsp;";
echo "<input type='hidden' name='acl_ad' value='allow'>&nbsp;";

echo "<tr height='30'><td colspan='4' align='right'>";
	echo $strACLAdd;
	echo "&nbsp;&nbsp;";
	phpAds_ACLTypeSelect ('clientip');
	echo "&nbsp;&nbsp;";
	echo "<input type='image' name='btnsave' src='images/go_blue.gif' border='0' align='absmiddle' alt='$strSave'>";
echo "</td></tr>";

echo "</form>";
echo "</table>";
echo "<br><br>";


// Show Acl help file
//include("../language/banneracl.".$phpAds_language.".inc.php");



/*********************************************************/
/* HTML framework                                        */
/*********************************************************/

phpAds_PageFooter();

?>
