<?php // $Id: banner-delete.php,v 1.2 2001/10/10 10:39:01 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

// Include required files
require ("config.php");
require ("lib-storage.inc.php");
require ("lib-zones.inc.php");


// Security check
phpAds_checkAccess(phpAds_Admin);



/*********************************************************/
/* Main code                                             */
/*********************************************************/

if (isset($bannerid) && $bannerid != '')
{
	db_query("BEGIN");

	// Cleanup webserver and PostgreSQL stored image
	$res = db_query("
		SELECT
			banner, format
		FROM
			$phpAds_tbl_banners
		WHERE
			bannerid = $bannerid
		") or pg_die();
	if ($row = pg_fetch_array($res, 0))
	{
		if ($row['format'] == 'web' && $row['banner'] != '')
			phpAds_Cleanup (basename($row['banner']));
		elseif ($row['format'] != 'html' && ereg("^oid:([0-9]+)$", $row['banner'], $match))
			pg_lounlink($phpAds_db_link, $match[1]);
	}
	
	// Delete banner
	$res = db_query("
		DELETE FROM
			$phpAds_tbl_banners
		WHERE
			bannerid = $bannerid
		") or pg_die();

	db_query("END");
}
 
// Rebuild zone cache
if ($phpAds_zone_cache)
	phpAds_RebuildZoneCache ();

Header("Location: campaign-index.php?campaignid=$campaignid&message=".urlencode($strBannerDeleted));


?>
