<?php // $Id: campaign-delete.php,v 1.2 2001/10/10 10:39:01 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001 by the phpPgAds developers                        */
/* http://sourceforge.net/projects/phppgads                             */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/



// Include required files
require ("config.php");
require ("lib-storage.inc.php");
require ("lib-zones.inc.php");


// Security check
phpAds_checkAccess(phpAds_Admin);



/*********************************************************/
/* Main code                                             */
/*********************************************************/

if (isset($campaignid) && $campaignid != '')
{
	// Loop through each banner
	$res_banners = db_query("
		SELECT
			bannerid,
			format,
			banner
		FROM
			$phpAds_tbl_banners
		WHERE
			clientid = $campaignid
		") or pg_die();
	
	for ($pgc = 0; $row = @pg_fetch_array($res_banners, $pgc); $pgc++)
	{
		// Cleanup webserver stored images for each banner
		if ($row['format'] == 'web' && $row['banner'] != '')
			phpAds_Cleanup (basename($row['banner']));		
	}
	
	// Delete Campaign
	$res = db_query("
		DELETE FROM
			$phpAds_tbl_clients
		WHERE
			clientid = $campaignid
		") or pg_die();
}

// Rebuild zone cache
if ($phpAds_zone_cache)
	phpAds_RebuildZoneCache ();

header("Location: client-index.php");

?>
