<?
// Swedish doc file for Banner ACL administration
?>
<BR>
<table border="0" width="100%">
	<TR>
		<TD bgcolor="#CCCCCC">
			<table width="100%" cellspacing="1" cellpadding="5">
				<tr> 
					<td bgcolor="#FFFFFF"><b>Titel</b></td>
					<td bgcolor="#FFFFFF"><b>Argument</b></td>
					<td bgcolor="#FFFFFF"><b>Beskrivning</b></td>
				</tr>
				<tr> 
					<td bgcolor="#FFFFFF">Klient-IP</td>
					<td bgcolor="#FFFFFF">IP-nt/mask: ip.ip.ip.ip/mask.mask.mask.mask, for example 127.0.0.1/255.255.255.0</td>
					<td bgcolor="#FFFFFF">Visa enbart banner fr den angivna IP-regionen.</td>
				</tr>
				<tr> 
					<td bgcolor="#FFFFFF">Anvndaragent regexp</td>
					<td bgcolor="#FFFFFF">Regelbundet uttryck som matchar en anvndaragent, till exempel ^Mozilla/4.? </td>
		 			<td bgcolor="#FFFFFF">Visar enbart bannern fr utvalda webblsare.</td>
				</tr>
				<tr> 
					<td bgcolor="#FFFFFF">Veckodag (0-6)</td>
					<td bgcolor="#FFFFFF">Veckodag, frn 0 = sndag till 6 = lrdag</td>
					<td bgcolor="#FFFFFF">Visa enbart banner p vissa veckodagar.</td>
				</tr>
				<tr>
					<td bgcolor="#FFFFFF">Domn</td>
					<td bgcolor="#FFFFFF">Domn-avslut (t.ex. .jp, .edu eller google.com)</td>
					<td bgcolor="#FFFFFF">Visa bannrar fr utvalda domner.</td>
				</tr>
				<tr>
					<td bgcolor="#FFFFFF">Klla</td>
					<td bgcolor="#FFFFFF">Namn p webbsidan</td>
					<td bgcolor="#FFFFFF">Visar enbart bannern p utvalda sidor.</td>
				</tr>
                <tr> 
                    <td bgcolor="#FFFFFF">Tid (0-23)</td>
                    <td bgcolor="#FFFFFF">Tid p dygnet, frn 0 = midnatt till 23</td>
                    <td bgcolor="#FFFFFF">Visar enbart bannern under de valda tidpunkterna.</td>
                </tr>
			</table>
		</TD>
	</TR>
</table>
<p>Till exempel, om du enbart vill visa bannern p helgen, behver du lgga till tv ACL-kommandon:</p>
<ul>
	<li>Veckodag (0-6), <? echo $strAllow; ?>, argument 6 (fr lrdag)</li>
	<li>Veckodag (0-6), <? echo $strAllow; ?>, argument 0 (fr sndag)</li>
    <li>Veckodag (0-6), <? echo $strDeny; ?>, argument * (fr alla andra dagar)</li>
</ul>
Det sista kommandot behvde inte varit en &quot;veckodag&quot;.  Alla <? echo $strDeny; ?> *
ACL rcker fr att banner ej ska visas om inte ngon <? echo $strAllow; ?> redan har matchat och tilltit att annonsen visas.

<p>Fr att visa bannern mellan 17 och 20:</p>
<ul>
    <li>Tid, <? echo $strAllow; ?>, argument 17</li>
    <li>Tid, <? echo $strAllow; ?>, argument 18</li>
	<li>Tid, <? echo $strAllow; ?>, argument 19</li>
    <li>Tid, <? echo $strDeny; ?>, argument * (fr vriga tider)</li>
</ul>
<?
// EOF Swedish doc file for Banner ACL administration
?>
